[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'db' (#fcl)

# TFieldDef.Required

Is the field required ?

## Declaration

Source position: db.pas line 194

`public property TFieldDef.Required : Boolean read FRequired write SetRequired;`

## Description

Required is set to True if the field requires a value when posting data to the dataset. If no value was entered, the dataset will raise an excepion when the record is posted. The Required property is usually initialized based on the definition of the field in the underlying database. For SQL-based databases, a field declared as NOT NULL will result in a Required property of True.

Documentation generated on: Feb 26 2014